/*---------------------------------------------------------------------*/
/* --- Web: www.STCAI.com ---------------------------------------------*/
/*---------------------------------------------------------------------*/

/*************  功能说明    **************

本例程基于AI8051U为主控芯片的实验箱进行编写测试。

使用Keil C51编译器,为了达到比较高的效率,一般建议选择"Small"模式。

当编译器出现 "error C249: 'DATA': SEGMENT TOO LARGE" 错误时，则需要手动将部分比较大的数组通过"xdata" 强制分配到 XDATA 区域(例如: char xdata buffer [256];)

CDC(Communication Device Class)协议范例

WIN10以下的操作系统需要安装sys目录中的驱动程序，WIN10和WIN11免安装驱动
将代码下载到试验箱后，在PC端可识别为USB转串口的设备
实现USB-CDC转串口(P4.2,P4.3)功能，USB-CDC接收的数据通过P4.3口输出，P4.2接收的数据发送到USB-CDC
使用试验箱上的J6接口即可与其它串口进行通讯
串口的数据位只支持8位，停止位只支持1位
校验位可支持：无校验、奇校验、偶校验、1校验和0校验
波特率最高可支持10M，且支持自定义波特率

下载时, 设置IRC工作频率为 24MHz.

******************************************/

#include "usb.h"
#include "uart.h"

void main()
{
    WTST = 0;  //设置程序指令延时参数，赋值为0可将CPU执行指令的速度设置为最快
    EAXSFR(); //扩展寄存器(XFR)访问使能
    CKCON = 0; //提高访问XRAM速度

    uart_init();
    usb_init();
    EA = 1;
    
    while (1)
    {
        uart_polling();
    }
}
